Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 30 Jul 2014, 19:40
All times are UTC - 4
 Forum index » House Training » Beginners Help ( Start Here)
Puppy 4.0 and ICQ?
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 2 [18 Posts]   Goto page: 1, 2 Next
Author Message
pooklaroux


Joined: 15 Mar 2006
Posts: 60
Location: Columbus, Ohio

PostPosted: Fri 18 Jul 2008, 16:57    Post subject:  Puppy 4.0 and ICQ?  

In the last version of 3 I used, I was using Gaim, but I didn't use it for ICQ, just yahoo chat. I installed Dingo on a friend's PC,a nd it works great -- except I can't get her ICQ account to work in Pidgen? Help! It's really important to her! It tells me that "the client version you are using is too old" and it is version 2.4.1, I guess they are on 2.4.3? How t do I update Pidgen?
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Fri 18 Jul 2008, 20:02    Post subject:  

icq changed the chat-protocol.
Pidgin 2.4.1 no longer works, you need 2.4.3.

http://www.murga-linux.com/puppy/viewtopic.php?t=27199

Just install it, it should overwrite the older one.

Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
tdwadelaide


Joined: 18 Jul 2008
Posts: 5

PostPosted: Sun 20 Jul 2008, 09:22    Post subject:  

Hi.. I've just started using Puppy (first time using Linux too) and one thing I want to use is ICQ via Pidgin.

It worked fine until the ICQ upgrade went through and then stopped logging on. So I upgraded to the latest version, 2.4.3, but now this won't open.

At the end of the install it says some dependencies are missing, but adds the icon to the Internet menu. But when clicking on it, nothing happens.

If I try and run it from the console it says it is unable to find the libxcb-xlib.so.0 library.

Has anyone else had the same problem or know how this can be fixed? Any help would be greatly appreciated!

Thanks!!
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 20 Jul 2008, 09:51    Post subject:  

Welcome to Puppy, tdwadelaide!

Please download the attached archive, and click on it in the filemanager.

Mark
libxcb-xlib-dingo.pet
Description 
pet

 Download 
Filename  libxcb-xlib-dingo.pet 
Filesize  29.11 KB 
Downloaded  714 Time(s) 

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
tdwadelaide


Joined: 18 Jul 2008
Posts: 5

PostPosted: Sun 20 Jul 2008, 10:12    Post subject:  

Thanks for the quick reply!

Still isn't working though.. tried installing it again and took a screenshot of petget...
1.png
 Description   
 Filesize   33.36 KB
 Viewed   3084 Time(s)

1.png

Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Sun 20 Jul 2008, 10:19    Post subject:  

I see.
I think in Puppy 4, you can also list packages from Puppy 3 in Petget.
There they should be listed.
If not, you still could download and click on them from here:

http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-3/

Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
tdwadelaide


Joined: 18 Jul 2008
Posts: 5

PostPosted: Sun 20 Jul 2008, 10:54    Post subject:  

Thanks for the link MU.

Installed all those libraries and tested again. It worked!

Thanks so much for your help!!

Many hours of puppying coming up for me Cool
Back to top
View user's profile Send private message 
Netsukka

Joined: 06 Aug 2008
Posts: 6

PostPosted: Thu 07 Aug 2008, 07:13    Post subject:  

Thx @ tdwadelaide for giving me the link to this topic!

I tried the same way, but I got a problem. I found everything but the libdbus file. Searching for it brought me to this site: http://puppylinux.ca/ttuuxxx/Libs

There was no pet file with the libdbus, only the libdbus-1.so.3, which I copied to my /usr/lib folder.
But it simply seems to contain the following text: "libdbus-1.so.3.2.0"

Now Pidgin isn't missing any dependencies, when I reinstall it, but it doesn't start either.
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Thu 07 Aug 2008, 07:18    Post subject:  

type this:

cd /usr/lib
ln -s libdbus-1.so.3 libdbus-1.so.3.2.0

Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
Artie


Joined: 04 Oct 2005
Posts: 446
Location: Norway

PostPosted: Thu 07 Aug 2008, 07:35    Post subject:  

I gave up messengers on my pc a while back because of all this trouble and just use http://www.meebo.com.

Artie
Back to top
View user's profile Send private message Visit poster's website Yahoo Messenger MSN Messenger 
ICQ Number 
Netsukka

Joined: 06 Aug 2008
Posts: 6

PostPosted: Thu 07 Aug 2008, 08:10    Post subject:  

@ MU

Thx for the advice, but creating a sym link didn't work for me.
Also trying first to uninstall an then make a clean installation didn't work. Now I have two entries in my startmenue:
'Pidgin Internet Messenger' and 'Pidgin ICQ/YAHOO/IRC/JABBER...' Nothing starts, when i click them. Trying to start it directly in the /usr/bin folder didn't do anything, too.
I'm short before giving up and using meebo, like Artie. For to go, it may be ok. At home, I can use Pidgin with Debian. (But if somebody had a solution, I would give it a try. Wink )
Back to top
View user's profile Send private message 
MU


Joined: 24 Aug 2005
Posts: 13642
Location: Karlsruhe, Germany

PostPosted: Thu 07 Aug 2008, 08:54    Post subject:  

http://distro.ibiblio.org/pub/linux/distributions/puppylinux/pet_packages-3/dbus-1.0.2.pet

it also should be listed in petget in the puppy3 packages.

And run pidgin from a consolewindow to see, if it still needs something.

Mark

_________________
my recommended links
Back to top
View user's profile Send private message Visit poster's website 
Netsukka

Joined: 06 Aug 2008
Posts: 6

PostPosted: Thu 07 Aug 2008, 11:12    Post subject:  

Oh dear!

I found the mistake. Downloaded the dbus earlier, but Pidgin although asked for that lib, so I thought that would be the wrong file. Now I looked in my Opera transfer history and saw that the dbus and tk files weren't downloaded properly (but PETget installed them without any trouble).
I downloaded them again and now it works.

Shame on me. Embarassed
Back to top
View user's profile Send private message 
Lorion

Joined: 11 Aug 2008
Posts: 3

PostPosted: Tue 12 Aug 2008, 06:42    Post subject:  

Hi, i have a new problem: Look at my desktop, the icons (even in the task bar) are GIANT! How can I change this (happend after upgrading to .3)

http://i1.fastup.de/show.asp?file=dektop.png

THX
Back to top
View user's profile Send private message 
hayagix

Joined: 07 Jun 2008
Posts: 131

PostPosted: Tue 12 Aug 2008, 13:58    Post subject:  

Someone mentioned meebo earlier.

I've been using imo.im for the last few months and its pretty good. Secure sessions and it now supports Skype along with the other popular protocols.

https://imo.im/
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 2 [18 Posts]   Goto page: 1, 2 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Beginners Help ( Start Here)
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0691s ][ Queries: 12 (0.0039s) ][ GZIP on ]